Loading...
Searching...
No Matches
fourdst::composition::exceptions::UnregisteredSymbolError Class Referencefinal

Exception thrown when a symbol is used that has not been registered. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::UnregisteredSymbolError:
[legend]
Collaboration diagram for fourdst::composition::exceptions::UnregisteredSymbolError:
[legend]

## Private Member Functions

| CompositionError (std::string message)
| Constructs a CompositionError with an error message.

## Additional Inherited Members

Public Member Functions inherited from fourdst::composition::exceptions::CompositionError
| CompositionError (std::string message)
| Constructs a CompositionError with an error message.
const char * | what () const noexcept override
| Returns the error message.
Protected Attributes inherited from fourdst::composition::exceptions::CompositionError
std::string | m_message
| The error message.

## Detailed Description

Exception thrown when a symbol is used that has not been registered.

This typically occurs when a chemical species is used that is not known to the system.

Definition at line 52 of file exceptions_composition.h.

## Member Function Documentation

## CompositionError()

fourdst::composition::exceptions::CompositionError::CompositionError | ( | std::string | message | ) |

inlineexplicitprivate

Constructs a CompositionError with an error message.

Parameters

  message | The error message.

Definition at line 26 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h